package com.wuban.tron.explore.constant;

/**
 * <core>首页详情枚举类</core>
 *
 * @author sky
 * @date 2020/11/02
 */
public enum HomeSearchTypeEnum {

    ADDRESS_INFO(0,"地址详情"),
    TRANSACTION_INFO(1, "交易详情"),
    BLOCK_INFO(2,"区块详情");

    /**
     * code
     */
    private int code;

    /**
     * 描述
     */
    private String desc;

    HomeSearchTypeEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
